CourseLit logoCourseLit Docs
Api reference

Update a product payment plan

PATCH
/api/products/{productId}/payment-plans/{planId}

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Path Parameters

productId*string
planId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://school.courselit.app/api/products/string/payment-plans/string" \  -H "Content-Type: application/json" \  -d '{    "name": "Updated lifetime access",    "oneTimeAmount": 12900,    "description": "Updated one-time payment plan."  }'
{
  "planId": "string",
  "name": "string",
  "type": "free",
  "entityId": "string",
  "entityType": "string",
  "oneTimeAmount": 0,
  "emiAmount": 0,
  "emiTotalInstallments": 0,
  "subscriptionMonthlyAmount": 0,
  "subscriptionYearlyAmount": 0,
  "description": "string",
  "isDefault": true
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}